Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Neurosupport
    • Yandex Cloud Detection and Response
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • GOST Gateway
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • SourceCraft
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • Статус работы сервисов
  • Marketplace
    • Популярные
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Yandex Cloud Trust
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Облако для интеграторов
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Контент-программа
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex StoreDoc
  • Начало работы
  • Управление доступом
  • Инспекции и рекомендации
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Create
        • Get
        • List
        • Terminate
        • GetLimits
  • Метрики Monitoring
  • Аудитные логи Audit Trails
  • Публичные материалы
  • История изменений
  • Обучающие курсы

В этой статье:

  • HTTP request
  • Query parameters
  • Resource
  • Response
  • ChangeFreeze
  • Resource
  1. Справочник API
  2. REST (англ.)
  3. ChangeFreeze
  4. List

Managed Service for MongoDB API, REST: ChangeFreeze.List

Статья создана
Yandex Cloud
Обновлена 4 сентября 2026 г.
Открыть в Markdown
  • HTTP request
  • Query parameters
  • Resource
  • Response
  • ChangeFreeze
  • Resource

Lists change freezes by conditions, specified in request.

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-mongodb/v1/changeFreezes

Query parametersQuery parameters

Field

Description

resourcePath[]

Resource

Full path to the resource to list change freezes for.

The number of elements must be in the range 1-128.

pageSize

string (int64)

The maximum number of change freezes to return per response.

The maximum value is 1000.

pageToken

string

Token to retrieve the next page of results. Omitted on the first request.

The maximum string length in characters is 500.

filter

string

Filter list by various fields.

The maximum string length in characters is 300.

ResourceResource

Field

Description

id

string

ID of the resource

type

string

The type of the resource, e.g. resource-manager.cloud, resource-manager.folder, compute.instance, etc.

ResponseResponse

HTTP Code: 200 - OK

{
  "changeFreezes": [
    {
      "id": "string",
      "resourcePath": [
        {
          "id": "string",
          "type": "string"
        }
      ],
      "startAt": "string",
      "endAt": "string",
      "durationSeconds": "string",
      "reason": "string",
      "createdBy": "string",
      "createdAt": "string",
      "status": "string",
      "updatedBy": "string",
      "updatedAt": "string"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

changeFreezes[]

ChangeFreeze

List of change freezes.

nextPageToken

string

Token to retrieve the next page of results.

ChangeFreezeChangeFreeze

Field

Description

id

string

ID of the change freeze.

resourcePath[]

Resource

Full path to the resource affected by the change freeze,
represented as a hierarchy from specific resource to top-level container.

startAt

string (date-time)

The time when the change freeze is scheduled to start.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

endAt

string (date-time)

The time when the change freeze is scheduled to end.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

durationSeconds

string (int64)

Duration of the change freeze in seconds.

reason

string

Reason for the change freeze.

createdBy

string

The user who created the change freeze.

createdAt

string (date-time)

The creation time of the change freeze.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

status

enum (Status)

Status of the change freeze.

  • SCHEDULED: Change freeze is scheduled for a future time.
  • ACTIVE: Change freeze is currently active.
  • COMPLETED: Change freeze is completed.
  • CANCELLED: Change freeze is cancelled.

updatedBy

string

The user who last updated the change freeze.

updatedAt

string (date-time)

The time when the change freeze was last updated.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

ResourceResource

Field

Description

id

string

ID of the resource

type

string

The type of the resource, e.g. resource-manager.cloud, resource-manager.folder, compute.instance, etc.

Была ли статья полезна?

Предыдущая
Get
Следующая
Terminate
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»